Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005222 [JEDI VCL] 00 JVCL Components minor have not tried 2010-04-19 10:19 2011-06-10 16:10
Reporter martijntonies View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005222: JvWizard - Wizard.OnHelpButtonClick doesn't work
Description The Wizard.OnHelpButtonClick event is never triggered.

If you look at it's implementation, you see why:

procedure TJvWizardHelpButton.Click; // Added by Theodore, Modified by Yu Wei
var
  ID: THelpContext;
begin
  ID := 0;
  if not (csDesigning in ComponentState) then
  begin
    if Assigned(FWizard) and Assigned(FWizard.ActivePage) then
    begin
      if Assigned(FWizard.ActivePage.OnHelpButtonClick) then // MF
      begin
        inherited Click;
        Exit;
      end;
      ID := FWizard.ActivePage.HelpContext;
    end
    else
      ID := GetParentForm(Self).HelpContext;
  end;
  if ID <> 0 then
  begin
    Application.HelpContext(ID);
  end;
end;



Additional Information This can be changed to:

procedure TJvWizardHelpButton.Click; // Added by Theodore, Modified by Yu Wei
var
  ID: THelpContext;
begin
  ID := 0;
  if not (csDesigning in ComponentState) then
  begin
    if Assigned(FWizard) and Assigned(FWizard.ActivePage) then
    begin
      if Assigned(FWizard.ActivePage.OnHelpButtonClick) then // MF
      begin
        inherited Click;
        Exit;
      end;
      // MT BOM
      { added the following to see if there's a Wizard.OnHelpButtonClick to
        override default behaviour }
      if Assigned(FWizard) and Assigned(FWizard.OnHelpButtonClick)
      then begin
             inherited Click;
             Exit;
           end;
      // MT EOM
      ID := FWizard.ActivePage.HelpContext;
    end
    else
      ID := GetParentForm(Self).HelpContext;
  end;
  if ID <> 0 then
  begin
    Application.HelpContext(ID);
  end;
end;


Now, if there is an event in the wizard (after checking for a page.OnHelpButtonClick), the event is fired. If there's no event handler, the application.helpcontext is called.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017363)
AHUser (developer)
2010-04-20 00:04

Fixed in SVN.

- Issue History
Date Modified Username Field Change
2010-04-19 10:19 martijntonies New Issue
2010-04-20 00:04 AHUser Note Added: 0017363
2010-04-20 00:04 AHUser Status new => resolved
2010-04-20 00:04 AHUser Fixed in Version => Daily / SVN
2010-04-20 00:04 AHUser Resolution open => fixed
2010-04-20 00:04 AHUser Assigned To => AHUser
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker